diff -pruN 1.8.10-2.1/debian/changelog 1.8.10-2.2/debian/changelog
--- 1.8.10-2.1/debian/changelog	2024-02-29 02:46:04.000000000 +0000
+++ 1.8.10-2.2/debian/changelog	2024-05-28 22:48:42.000000000 +0000
@@ -1,3 +1,11 @@
+openafs (1.8.10-2.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Move afsd (back) into /usr/sbin (Closes: #1059432).
+    Update path in init script and systemd service unit.
+
+ -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 May 2024 00:48:42 +0200
+
 openafs (1.8.10-2.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -pruN 1.8.10-2.1/debian/openafs-client-precheck 1.8.10-2.2/debian/openafs-client-precheck
--- 1.8.10-2.1/debian/openafs-client-precheck	2023-12-22 22:47:52.000000000 +0000
+++ 1.8.10-2.2/debian/openafs-client-precheck	2024-05-28 22:48:25.000000000 +0000
@@ -46,7 +46,7 @@ EOF
 }
 
 # Exit if the package is not installed.
-[ -x /sbin/afsd ] || exit 1
+[ -x /usr/sbin/afsd ] || exit 1
 
 # Do some other checks for prerequisites
 if ! [ -f "${CACHEINFO}" ]; then
diff -pruN 1.8.10-2.1/debian/openafs-client.init 1.8.10-2.2/debian/openafs-client.init
--- 1.8.10-2.1/debian/openafs-client.init	2023-12-22 22:47:52.000000000 +0000
+++ 1.8.10-2.2/debian/openafs-client.init	2024-05-28 22:48:25.000000000 +0000
@@ -34,7 +34,7 @@ MODULEDIR=${MODULEDIR:-$MODULEROOT/fs}
 DKMSDIR=${DKMSDIR:-$MODULEROOT/updates/dkms}
 
 # Exit if the package is not installed.
-[ -x /sbin/afsd ] || exit 0
+[ -x /usr/sbin/afsd ] || exit 0
 
 # Define LSB log_* functions and get other support infrastructure.
 . /lib/lsb/init-functions
@@ -137,14 +137,14 @@ choose_afsd_options() {
 
 # Start afsd.  Be careful not to start it if another one is already running,
 # as that has a bad tendency to hang the system.  Earlier versions of the
-# openafs-client package put afsd in /usr/sbin.
+# openafs-client package put afsd in /sbin.
 start_client() {
     if pidof /sbin/afsd >/dev/null || pidof /usr/sbin/afsd >/dev/null ; then
         echo "."
     else
         choose_afsd_options
         echo " afsd."
-        start-stop-daemon --start --quiet --exec /sbin/afsd -- $AFSD_OPTIONS
+        start-stop-daemon --start --quiet --exec /usr/sbin/afsd -- $AFSD_OPTIONS
     fi
 
     # From /etc/openafs/afs.conf.client, whether to enable fcrypt encryption.
@@ -196,7 +196,7 @@ kill_all_afs() {
 
 case "$1" in 
 start)
-    if is_on $AFS_CLIENT && test -x /sbin/afsd ; then
+    if is_on $AFS_CLIENT && test -x /usr/sbin/afsd ; then
         echo -n "Starting AFS services:"
         if load_client ; then
             start_client
@@ -210,7 +210,7 @@ start)
     ;;
 
 force-start)
-    if test -x /sbin/afsd ; then
+    if test -x /usr/sbin/afsd ; then
         echo -n "Starting AFS services:"
         if load_client ; then
             start_client
diff -pruN 1.8.10-2.1/debian/openafs-client.install 1.8.10-2.2/debian/openafs-client.install
--- 1.8.10-2.1/debian/openafs-client.install	2023-12-22 22:47:52.000000000 +0000
+++ 1.8.10-2.2/debian/openafs-client.install	2024-05-28 22:48:25.000000000 +0000
@@ -28,7 +28,7 @@ debian/tmp/usr/sbin/fms
 debian/tmp/usr/sbin/fstrace             usr/sbin
 debian/tmp/usr/sbin/rmtsysd             usr/sbin
 
-debian/tmp/usr/sbin/afsd                sbin
+debian/tmp/usr/sbin/afsd                usr/sbin
 
 debian/openafs-client-precheck                        usr/share/openafs
 debian/openafs-client-postcheck                        usr/share/openafs
diff -pruN 1.8.10-2.1/debian/openafs-client.service 1.8.10-2.2/debian/openafs-client.service
--- 1.8.10-2.1/debian/openafs-client.service	2023-12-22 22:47:52.000000000 +0000
+++ 1.8.10-2.2/debian/openafs-client.service	2024-05-28 22:48:25.000000000 +0000
@@ -9,7 +9,7 @@ DefaultDependencies=no
 Type=forking
 RemainAfterExit=true
 ExecStartPre=/usr/share/openafs/openafs-client-precheck
-ExecStart=/sbin/afsd $AFSD_ARGS
+ExecStart=/usr/sbin/afsd $AFSD_ARGS
 ExecStartPost=/usr/bin/fs setcrypt $AFS_SETCRYPT
 ExecStartPost=/usr/bin/fs sysname $AFS_SYSNAME
 ExecStop=/bin/grep -qv ^1$ /proc/sys/kernel/modules_disabled
